# PODNAME: Config::Model::models::Itself::Application
# ABSTRACT:  Configuration class Itself::Application

=encoding utf8

=head1 NAME

Config::Model::models::Itself::Application - Configuration class Itself::Application

=head1 DESCRIPTION

Configuration classes used by L<Config::Model>

=head1 Elements

=head2 model

Top class required to configure this application. I< Optional. Type reference.  > 

=head2 synopsis

one line description of the application. I< Optional. Type uniline.  > 

=head2 link_to_doc

Documentation URL. I< Optional. Type uniline.  > 

=head2 category

Can be "system", "user" or "application" I< Mandatory. Type enum. choice: 'system', 'user', 'application'.  > 

Here are some explanations on the possible values:

=over

=item 'application'

Configuration file is located anywhere and is usually explicitly specified to application. E.g. C<multistrap -f CONFIG_FILE>

=item 'system'

Configuration file is owned by root and usually located in C</etc>

=item 'user'

Configuration files is owned by user and usually located in C<~/.*>

=back



=head2 allow_config_file_override

Set if user can override the configuration file loaded by default by cme. I< Optional. Type boolean.  > 

=over 4

=item upstream_default value :

0

=back



=head2 require_config_file

set when there's no default path for the configuration file.user will have to specify a configuration file with C<--file> option. I< Optional. Type boolean.  > 

=over 4

=item upstream_default value :

0

=back



=head2 require_backend_argument

set when the application backend requires an argument passed as 3rd argument to cme, e.g. cme <cmd> <app> <backend_arg>. I< Optional. Type boolean.  > 

=over 4

=item upstream_default value :

0

=back



=head2 use_backend_argument_as_config_file

When backend argument is also used as the name of the config file. I< Optional. Type boolean.  > 

=over 4

=item upstream_default value :

0

=back



=head2 backend_argument_info

Short description of the backend argument. Used to generate error message when user forgets to set the 3rd cme argument. I< Optional. Type uniline.  > 

=head2 config_dir

set configuration directory where config file is read from or written to. This value does not override a directory specified in the model. I< Optional. Type uniline.  > 

=head2 support_info

Instructions to let user report a bug for this application. This URL is shown in the message of unknown element exception in the string "please submit a bug report $support_info". Defaults to an url to Config::Model bug tracker. I< Optional. Type uniline.  > 

=over 4

=item upstream_default value :

to https://github.com/dod38fr/config-model/issues

=back



=head1 SEE ALSO

=over

=item *

L<cme>

=back

=cut

